View Issue Details

IDProjectCategoryView StatusLast Update
0003327gnunet-gtkgnunet-peerinfo-gtkpublic2014-04-08 16:41
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PrioritynormalSeveritytweakReproducibilityN/A
Status closedResolutionfixed 
Product Version0.10.0 
Target Version0.10.1Fixed in Version0.10.1 
Summary0003327: gnunet-peerinfo-gtk allows 'editing' friends even if GNUnet is running as a different user
DescriptionThe resulting 'friends.txt' is then useless (as in, not used by topology), but that can just confuse users into thinking that they did successfully configure the friends. Possibly worse, the friends that are shown (empty or not empty) won't actually match the friends used by the peer (unless the user running gnunet-peerinfo-gtk is the same as the user running gnunet-daemon-topology, which is not quite the suggested setup).
TagsNo tags attached.

Activities

Christian Grothoff

2014-02-16 16:32

manager   ~0008113

I'm thinking that we should simply add some logic to not display the 'friends' column if the UIDs are different, and disable the logic to load/write the friends file at that time as well. That should avoid the issue.

Christian Grothoff

2014-03-04 23:34

manager   ~0008132

Fixed in SVN 32505.

Issue History

Date Modified Username Field Change
2014-02-16 16:32 Christian Grothoff New Issue
2014-02-16 16:32 Christian Grothoff Note Added: 0008113
2014-02-16 16:32 Christian Grothoff Assigned To => Christian Grothoff
2014-02-16 16:32 Christian Grothoff Status new => assigned
2014-03-04 23:34 Christian Grothoff Note Added: 0008132
2014-03-04 23:34 Christian Grothoff Status assigned => resolved
2014-03-04 23:34 Christian Grothoff Fixed in Version => 0.10.1
2014-03-04 23:34 Christian Grothoff Resolution open => fixed
2014-03-04 23:34 Christian Grothoff Target Version => 0.10.1
2014-04-08 16:41 Christian Grothoff Status resolved => closed